# userFileDescriptorStruct Struct Reference

`#include <file.h>`

Collaboration diagram for userFileDescriptorStruct:

[legend]

## Data Fields

fileDescriptorStruct * | fd
uInt32 | fdSize

## Detailed Description

Definition at line 67 of file file.h.

## Field Documentation

struct fileDescriptorStruct* userFileDescriptorStruct::fd

Definition at line 68 of file file.h.

Referenced by sysFclose(), sysFgetc(), sysFopen(), sysFread(), sysFseek(), and sysFwrite().

uInt32 userFileDescriptorStruct::fdSize

Definition at line 69 of file file.h.

Referenced by sysFopen().

The documentation for this struct was generated from the following file:

- src/sys/include/vfs/file.h